> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks



## OpenAPI

````yaml get /webhooks
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      summary: List Webhooks
      responses:
        '200':
          description: List of webhooks
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    webhook_url:
                      type: string
                    event_type:
                      type: string
                    provider:
                      type: string
                    extra_parameters:
                      type: object
                    created_at:
                      type: string
                      format: date-time
                    updated_at:
                      type: string
                      format: date-time
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````